@polkadot/api-derive

v6.11.1

Common functions used across Polkadot, derived from RPC calls and storage queries.

Apache-2.0
Latest version published 2 days ago
    npm install @polkadot/api-derive
  
We couldn't find any similar packages Browse all packages

Package Health Score

87 / 100

Popularity

Recognized

Weekly Downloads (26,060)

Download trend
Dependents
177
GitHub Stars
372
Forks
214
Contributors
90

Direct Usage Popularity

Uncommon

The npm package @polkadot/api-derive receives a total of 26,060 downloads a week. As such, we scored @polkadot/api-derive popularity level to be Recognized.

Based on project statistics from the GitHub repository for the npm package @polkadot/api-derive, we found that it has been starred 372 times, and that 177 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues
Powered by Snyk

Security and license risk for significant versions

All Versions
Popular

Version

Release Date

07/2021
09/2021
11/2021
11/2021
12/2021

Direct Vulnerabilities

4.17.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
5.9.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
6.9.2
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
Popular
6.10.3
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
6.11.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

4.17.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
5.9.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
6.9.2
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
Popular
6.10.3
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
6.11.1
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L

License Risk

4.17.1
  • 0
    H
  • 0
    M
  • 0
    L
5.9.1
  • 0
    H
  • 0
    M
  • 0
    L
6.9.2
  • 0
    H
  • 0
    M
  • 0
    L
Popular
6.10.3
  • 0
    H
  • 0
    M
  • 0
    L
6.11.1
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
Apache-2.0

Security Policy
No

We found a way for you to contribute to the project! Looks like @polkadot/api-derive is missing a security policy.


You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

    # Install the Snyk CLI and test your project
npm i snyk -g && snyk test @polkadot/api-derive
Keep your project free of vulnerabilities with Snyk

Maintenance

Healthy

Commit Frequency

Open Issues
27
Open PR
0
Last Release
2 days ago
Last Commit
2 days ago

Further analysis of the maintenance status of @polkadot/api-derive based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that @polkadot/api-derive demonstrates a positive version release cadence with at least one new version released in the past 3 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Active
Readme.md
Yes
Contributing.md
Yes
Code of Conduct
No
Contributors
90
Funding
No

With more than 10 contributors for the @polkadot/api-derive repository, this is possibly a sign for a growing and inviting community.

We found a way for you to contribute to the project! Looks like @polkadot/api-derive is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 87/100 package health 87/100

Package

Node.js Compatibility
>=14.0.0

Age
3 years
Dependencies
7 Direct
Versions
2.26K
Install Size
472 kB
Dist-tags
2
# of Files
429
Maintainers
2
TS Typings
No

@polkadot/api-derive has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.